/*  Style sheet for Blog */


body {
  background-image:url(/images/094.gif);
}

hr {
  border: solid 2px black;
  width: 50%;
}

header {
  font-size: 3em;
  font-style: italic;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
  background:url("/images/1078.gif");
}

h1 {
  color: black;
  text-align: center;
  margin: 0;
  text-shadow: 1px 1px 2px white;
}

.container {
  display: flex;
  max-width: 55rem;
  margin: 5vw auto 12px auto;
  padding: 5px;
  row-gap: 5px;
  column-gap: 5px;
  min-height: 0;
}

.container div {
    margin: 10px;
    padding: 10px;
}

.container details {
  padding: 5px;
  background-color: rgba(255,255,255, 0.5);
  border: black solid 2px;
}

.left-panel {
  flex-wrap: nowrap;
}

.blog-box {
  display: flex;
  border: solid 2px black;
  flex-direction: column;
  width: 575px;
  margin: auto;
  min-height: min-content;
  flex-grow: 1;
  overflow-y: scroll;
  background-image: url(/images/052.gif);
}


details>summary {
  list-style: none;
  margin: 10px;
  font-size: 16px;
  letter-spacing: 2px;
  text-align: center;
}


details>p {
  padding-left: 15px;
  padding-right: 15px;
}

mark {
  background: rgba(0,0,0,0.25);
  color: white;
  text-shadow: 2px 2px 3px black;
  padding: 2px;
  font-size: 1.3em
}

nav {
  border: 2px ridge;
  border-radius: 5px;
  padding: 5px;
}

nav div {
  text-align: center;
  font-size: 2em;
  margin: 5px 5px 10px 5px;
}

nav a {
  display: block;
  margin: 5px;
  border: ridge;
  border-radius: 5px;
  padding: 2px 7px;
  text-decoration: none;
  font-size: 1.5em;
  background-color: rgba(0,0,0,0.5);
  white-space: nowrap;
}

nav a:link {
  color: blue;
}

nav a:link, nav a:visited {
  color: red;
}

nav a:hover, nav a:focus {
  color:purple;
}

a:hover, a:focus {
  font-style: italic;
}